Public Member Functions | Public Attributes | List of all members
libpagemaker::Point< Unit > Struct Template Reference

`#include <geometry.h>`

## Public Member Functions
| Point (Unit x, Unit y)

## Public Attributes
Unit | m_x
Unit | m_y

## Constructor & Destructor Documentation

## ◆ Point()

template<typename Unit>

libpagemaker::Point< Unit >::Point | ( | Unit | x,
|  | Unit | y
| ) |  |
| inline

## Member Data Documentation

## ◆ m_x

template<typename Unit>

Unit libpagemaker::Point< Unit >::m_x

Referenced by libpagemaker::OutputShape::addPoint(), libpagemaker::getBoundingBox(), libpagemaker::PMDLine::getPoints(), libpagemaker::PMDRectangle::getPoints(), libpagemaker::PMDBitmap::getPoints(), libpagemaker::newOutputShape(), libpagemaker::PMDCollector::paintShape(), libpagemaker::OutputShape::setBoundingBox(), and libpagemaker::TransformationMatrix::transform().

## ◆ m_y

template<typename Unit>

Unit libpagemaker::Point< Unit >::m_y

Referenced by libpagemaker::OutputShape::addPoint(), libpagemaker::getBoundingBox(), libpagemaker::PMDLine::getPoints(), libpagemaker::PMDRectangle::getPoints(), libpagemaker::PMDBitmap::getPoints(), libpagemaker::newOutputShape(), libpagemaker::PMDCollector::paintShape(), libpagemaker::OutputShape::setBoundingBox(), and libpagemaker::TransformationMatrix::transform().

The documentation for this struct was generated from the following file:

- geometry.h